<?php

namespace App\Http\Requests\Member;

use Illuminate\Foundation\Http\FormRequest;

class SummaryStore extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            "id" => 'sometimes|numeric',
            "member_id" => 'required|numeric',
            "year" => 'required|numeric',
            "real_number_last_year" => 'required|numeric',
            "estimated_number_next_year" => 'required|numeric',
            "toAll" => '',
        ];
    }
}
